Subject: bug#57372: no-toolkit menu popups do not respect emacs font configuration

From: Tomas Hlavaty <[email-masked]>
Date: Wed, 24 Aug 2022 19:49:23 +0200

On Wed 24 Aug 2022 at 15:27, Eli Zaretskii <[email-masked]> wrote:
> Frames are a bad basis for menus: they (the frames) are too
> heavyweight for a menu, so the resulting menus will look ugly.

I find the alien X resource fonts the ugliest, unreadable and very
inconvenient because the font size is completely wrong and inconvenient
to control.

> If we want good-looking menus independent of any toolkit, we should
> try to find a small library capable of producing them on popular GUI
> platforms.

I do not care much for whatever ugly look the popped up menus have as
long as they respect faces.  It is just a few lines of text so surely
that cannot be that ugly if the font fits with the chosen emacs face and
not some alien X resource or toolkit/desktop font specific configuration
which is completely out of sync from my emacs face configuration.